Package org.eclipse.emf.compare.rcp.internal.preferences

# Class EMFComparePreferences

java.lang.Object
org.eclipse.emf.compare.rcp.internal.preferences.EMFComparePreferences

public final class EMFComparePreferences extends Object
Preferences constants and utilities for the EMF Compare RCP plug-in.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONFLICTS_DETECTOR`
Conflicts detector preference.
`static final String`
`DIFF_ENGINES`
Differences Engine preference.
`static final String`
`DISABLED_ADAPTER_FACTORY`
Disabled adapter factories preference.
`static final String`
`DISABLED_POST_PROCESSOR`
Disabled post processors preference.
`static final String`
`EQUI_ENGINES`
Equivalences Engine preference.
`static final String`
`LOG_LEVEL_DEFAULT`
Default log level.
`static final String`
`LOG_LEVEL_KEY`
Preference key for log level.
`static final String`
`MATCH_ENGINE_DISABLE_ENGINES`
Disabled match engine preference.
`static final String`
`REQ_ENGINES`
Requirements Engine preference.

## Method Summary

Modifier and Type
Method
Description
`static List<String>`
`getDisabledAdapterFactoryDescriptorIds()`
Gets the ids of all disabled EMF Compare adapter factory descriptors.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DIFF_ENGINES

public static final String DIFF_ENGINES
Differences Engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  - Constant Field Values

### EQUI_ENGINES

public static final String EQUI_ENGINES
Equivalences Engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  - Constant Field Values

### REQ_ENGINES

public static final String REQ_ENGINES
Requirements Engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  - Constant Field Values

### CONFLICTS_DETECTOR

public static final String CONFLICTS_DETECTOR
Conflicts detector preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  - Constant Field Values

### MATCH_ENGINE_DISABLE_ENGINES

public static final String MATCH_ENGINE_DISABLE_ENGINES
Disabled match engine preference. (Key to use in the registry to retrieve the engine descriptor).

See Also:
  - Constant Field Values

### DISABLED_POST_PROCESSOR

public static final String DISABLED_POST_PROCESSOR
Disabled post processors preference.

See Also:
  - Constant Field Values

### DISABLED_ADAPTER_FACTORY

public static final String DISABLED_ADAPTER_FACTORY
Disabled adapter factories preference.

See Also:
  - Constant Field Values

### LOG_LEVEL_KEY

public static final String LOG_LEVEL_KEY
Preference key for log level.

See Also:
  - Constant Field Values

### LOG_LEVEL_DEFAULT

public static final String LOG_LEVEL_DEFAULT
Default log level.

See Also:
  - Constant Field Values

## Method Details

### getDisabledAdapterFactoryDescriptorIds

public static List<String> getDisabledAdapterFactoryDescriptorIds()
Gets the ids of all disabled EMF Compare adapter factory descriptors.

Returns:
  List of ids;